/* neopixel_hsv
 *  
 * Egyetlen WS2812 LED vezérlése a FastLed programkönyvtár  
 * használatával (színkerék demo)
 * 
 * FastLed programkönyvtár: https://github.com/FastLED/FastLED 
 */

#include <FastLED.h>
#define NUM_LEDS 1
#define DATA_PIN 8          // D8 a vezérlő kimenet (DIN-hez kell kötni)

CRGB leds[NUM_LEDS];

void setup() {
  FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS);
  pinMode(9, OUTPUT);       //Ez a néyg sor csak lusta
  pinMode(10, OUTPUT);      //Bekötéshez kell
  digitalWrite(9, LOW);     // D9 a GND
  digitalWrite(10, HIGH);   // D10 a VCC
}

void loop() {
  static uint8_t hue;
  leds[0] = CHSV(hue++, 255, 255);
  FastLED.delay(33);
}
